FEDORA-2016-139a37787e created by limb 5 years ago for Fedora 24
stable

Revert to 0.4.4 for f24+, update to 0.4.4.

How to install

sudo dnf upgrade --advisory=FEDORA-2016-139a37787e

This update has been submitted for testing by limb.

5 years ago

This update has been pushed to testing.

5 years ago
User Icon boricua commented & provided feedback 5 years ago
karma

Not sure if this is the correct place, but this update replaces my KeePassX 2 application for KeePassX 0.4 (KeePassX 1?) I downgraded and dnf installed KeePassX 2 and all is OK now.

User Icon limb commented & provided feedback 5 years ago

This is expected. KeePassX 2 is an incompatible upgrade, so I reverted keepassx to 0.4.4, and submitted KeePassX 2.0.2 for review separately as a keepassx2.

User Icon boricua commented & provided feedback 5 years ago
karma

OK, I see. For what is worth, before removing it, I tried version 0.4.4 with my old database created with KeePassX 1 and it worked just fine.

This update has reached 3 days in testing and can be pushed to stable now if the maintainer wishes

5 years ago

This update has been submitted for stable by limb.

5 years ago

This update has been pushed to stable.

5 years ago
User Icon kujeger commented & provided feedback 5 years ago

Since only keepassx 0.4.4 is in F24, I can no longer use my password database that got "forcibly" updated when F23 updated to keepassx 2. I see it is mentioned above that keepassx 2 will be a separate package in F24, but this does not appear to be the case?

As things are now, every person that got their password database updated in F23 can not use it in F24.


Please login to add feedback.

Metadata
Type
security
Severity
low
Karma
1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
5 years ago
in testing
5 years ago
in stable
5 years ago
BZ#1297639 unwanted update of keepassx requires one-way database conversion
0
0

Automated Test Results